[ic] Re: [mv] *** Interchange 4.6 & PgSQL Difficulties ***

Mike Heins mikeh@minivend.com
Sat, 2 Dec 2000 22:55:12 -0500

Quoting David Wilson (david@wwns.com):
> Hello fellows,
> I installed the tar files for Postgres 7.0.3 IC 4.6.0 and have the same
> problems with the construct demo.  I am installing it on RH 6.2.
> I have not found any documentation on the mailing lists for Interchange 
> or Postgres that seem to have a solution.  Any good ideas?  It seems that
> when Interchange is started it makes it past initializing the table
> orderline before it gives this error message and aborts initializing any
> other tables.

Aha. I think this is a PostgreSQL 7 issue. They changed their timestamp
representation (do a Deja search and you will see other complaints/problems
about it), and I have tested only on 6.5.x. Works fine on 6.5.x.

Just edit the files dbconf/pgsql/* and change all timestamp fields to

Alternatively, you can play around with MVC_SQLUDATE in the
INTERCHANGE_ROOT/construct/config/additional_fields file and change
its value for Postgres to fit 7.x, or you can edit the .txt files
and do something, or.....

All of this is not impossible to figure out, just grep recursively for
timestamp and take action.

Akopia, Inc., 131 Willow Lane, Floor 2, Oxford, OH  45056
phone +1.513.523.7621 fax 7501 <heins@akopia.com>

Be patient. God isn't finished with me yet.  -- unknown